Bug Hunting Session
Bug 38481 - Envelope layout wrong for centered lengthwise (OKI printers)
Summary: Envelope layout wrong for centered lengthwise (OKI printers)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Envelope
  Show dependency treegraph
 
Reported: 2011-06-19 17:02 UTC by Dan Essin
Modified: 2019-11-15 21:01 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
envelope document (11.36 KB, application/vnd.oasis.opendocument.text)
2011-06-19 17:02 UTC, Dan Essin
Details
Test print under 4.2.5.2 (33.80 KB, application/pdf)
2014-06-25 18:14 UTC, Todd
Details
Bad envelope (2.99 MB, image/png)
2018-08-17 19:20 UTC, Todd
Details
envelope retest (9.60 KB, application/vnd.oasis.opendocument.text)
2019-11-15 20:45 UTC, Todd
Details
Scan of bad envelope (5.28 MB, image/png)
2019-11-15 21:01 UTC, Todd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Essin 2011-06-19 17:02:32 UTC
Created attachment 48175 [details]
envelope document

When formatting an envelope to print centered, lengthwise (icon 5 of 6, left to right) the return address and the to address both print too low on the envelope and the to address prints to far to the left
Comment 1 Rainer Bielefeld Retired 2011-07-16 01:09:02 UTC
Not critical

@Dan Essin
Please contribute more information concerning your OS, Printer / Driver, ... due to  <http://wiki.documentfoundation.org/BugReport>
Comment 2 Alex Thurgood 2011-08-18 05:49:28 UTC
Possibly duplicate of :

https://bugs.freedesktop.org/show_bug.cgi?id=37952

Alex
Comment 3 Rainer Bielefeld Retired 2011-08-18 06:22:56 UTC
[Reproducible] for horizontal alignment with reporter's sample document, OKIPAGE 14ex and "LibreOffice 3.4.2  - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:203)]" 

I started "Print page 1-1", printer wanted manual paper supply, I feeded with 280x210mm, print was more or less perfect landscape

Top Sender address distance to page top: 85mm (ok)
Bottom address distance to page bottom: 60mm (ok)
Sender left end distance to right page end: 220mm (expected: 270mm)  NOT OK
Sender left end distance to left page end: 55mm (expected: 15)  NOT OK

Unfortunately I never use that envelope print option so that I do not know 100% what I should expect.

Result with OOo 3.1.1 is much worse.

@Alex
Problem visible for you?
Comment 4 Alex Thurgood 2011-08-18 06:41:40 UTC
(In reply to comment #3)

> @Alex
> Problem visible for you?


Hi Rainer,

Unfortunately, on my Mac OSX 10.6.8 box, and with a HPLJ 2500 networked printer, there are only 4 possible icon choices of orientation in my print dialog, and the three icons to the right of the first are greyed out so I can not even try to reproduce what the reporter has done.


What I can say is that what I see on my screen is what is printed on A4 paper.


Alex
Comment 5 Alex Thurgood 2011-08-18 06:44:52 UTC
(In reply to comment #4)

The Mac OSX print dialog using LibO/OOo appears to be somewhat crippled in regard to other OSes, but this is not a knew phenomenon, it happened when the OOo devs gave up psprint on Mac for a full CUPS implementation.


Alex
Comment 6 Alex Thurgood 2011-08-18 06:45:59 UTC
(In reply to comment #5)


sorry, substitute "new" for "knew"
Comment 7 Björn Michaelsen 2011-12-23 13:25:18 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 8 QA Administrators 2014-06-25 17:37:56 UTC Comment hidden (obsolete)
Comment 9 Todd 2014-06-25 18:14:39 UTC
Created attachment 101755 [details]
Test print under 4.2.5.2

Test print under LibreOffice_4.2.5_Linux_x86-64_rpm.tar.gz
Comment 10 Todd 2014-06-25 20:44:50 UTC
Sorry.  Forgot to add, no symptom change
Comment 11 tommy27 2014-10-27 05:54:23 UTC
@Todd
thanks 4 feedback.
please also tell us which is the brand and model of your printer

@Dan Essin
please provide the same informations as well
Comment 12 Todd 2014-10-27 18:02:48 UTC
Okidata B4350
Comment 13 Todd 2014-10-27 18:04:06 UTC
Also reproducible under cups-pdf-2.6.1-4.el6.x86_64
Comment 14 tommy27 2014-10-27 19:15:44 UTC
ok, so bug has been reported by 2 different users both using OKI printers (see also comment 3) either on Windows and Linux.
Comment 15 Todd 2014-10-27 19:24:05 UTC
If it helps in the troubleshooting, I am also running Word Pro for Windows though the Wine application layer.  Word Pro has no troubles printing envelopes through CUPS
Comment 16 Alex Thurgood 2014-10-28 08:23:25 UTC
@Dan : please try with the latest 4.3 production release of LibreOffice, renaming your LO user profile before restarting LO after installation and report back here with your findings
Comment 17 Todd 2014-10-30 02:23:32 UTC
> @Dan : please try with the latest 4.3 production release of LibreOffice, renaming your LO user profile before restarting LO after installation and report back here with your findings

Okay, I am not Dan, but I tested his attachment and made up my own with a new profile.  No symptom change.
Comment 18 QA Administrators 2015-12-20 16:18:25 UTC Comment hidden (obsolete)
Comment 19 Todd 2015-12-29 09:38:24 UTC
Dear QA,

LibreOffice_5.0.4_Linux_x86-64_rpm.tar.gz

This is still is an issue:

1) it changed the No. 10 to C5 after pressing apply and had to be corrected

2) printed the senders address on the bottom left (no 10 )

3) printed the receivers address on the bottom middle (no 10)


Until this is corrected, Libre Office is useless in a business office setting that uses envelopes.

-T
Comment 20 tommy27 2015-12-29 10:45:35 UTC
thanks for feedback and confirming the bug with LibO 5.0.4.2 but please do not change version field in an incorrect way.

as it is indicated, it should be set as the earlier version a bug was reproduced, not the latest.

so I'm reverting it to the original value (3.4.0)
Comment 21 Todd 2015-12-30 07:40:00 UTC
It baffles me as to this bug isn't immediately jumped on.  What exactly do the developers think we stick our invoices into to mail our customers?

It occurs to me that maybe the reason this bug critical bug is being ignored is because they expect that we will eMail our invoices to our customers.  Sort of like the Fax machine no longer being used except in Real Estate, Legal, and Medical.

By the way, eMailing your invoices is a fools errand. You seldom get paid. Straight to the Junk bin. And if not in the Junk bin, out of sight, out of mind.
 
It is a huge pain in the neck to get paid when you eMail your invoices.  You have to call the customer the second you send the eMail and have them check their eMail for it and then you only get paid 50% of the time.

You always get paid when you postal service your invoices, which is why we need the envelope functions to work correctly.  The cost of a stamp is well worth not having to waste tons of hours chasing after over due invoices.  (Tip: never send two invoices in the same envelope.)

This bug was originally posted on 2011-06-19 (shades of Open Office, where they never fixed anything a user reported).  It is time this bug FINALLY got some attention.

If you want to envelope printing done exceptionally well, look at the abandoned (by IBM) Lotus Word Pro, which I still use for that reason.  Bugs like this make it very difficult to transition to Writer in a business office setting.
Comment 22 QA Administrators 2017-01-03 19:55:37 UTC Comment hidden (obsolete)
Comment 23 Todd 2017-01-04 20:21:22 UTC
Bug is still present in 5.2.4.2.  Please continue to ignore.
Comment 24 Todd 2017-08-05 06:27:07 UTC
Just tested on LibreOffice-5.4.0-Linux_x86-64_rpm.tar.gz.  The problem still exists.

When trying to get customers to adopt Libre Office, I will have to continue telling then that "Libre Office is a great office suite.  But it can't print and envelope for its life!"

This is really embarrassing.  Even my abandoned Word Pro running under Wine Staging can print an envelope.

This was first reported on 2011-06-19.  This bug has been ignored for over six years.  Please stop dragging you feet on this!   It is embarrassing to push an office suite on customers that can't even print an envelope.  Not to mention, this bugs keeps me on Word Pro.
Comment 25 QA Administrators 2018-08-06 02:29:05 UTC Comment hidden (obsolete)
Comment 26 Todd 2018-08-09 01:23:08 UTC
I will wait a bit to test when 6.1 hist the Fedora repo.  I do doubt that this will be fixed.  Envelopes are not given any priority.
Comment 27 Todd 2018-08-17 19:20:48 UTC
Created attachment 144257 [details]
Bad envelope

It looks like Fedora will not have LO 6.1 until Fedora 30, so I installed from the RPM's: LibreOffice-6.1.0-Linux_x86-64_rpm.tar.gz

It still prints weird, but a least it is all on the page, even if it is unusable.

I would appreciate you guys jumping on this.  This is an "office" product and envelopes are essential to that job function.
Comment 28 QA Administrators 2019-11-13 03:33:00 UTC
Dear Dan Essin,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug
Comment 29 Todd 2019-11-15 20:45:35 UTC
Created attachment 155862 [details]
envelope retest

Document that produced the bad envelope print out (next attachment)

Fedora 31 x64
Xfce 4.13
Okidata B4350, Center middle envelope feeder
LibreOffice-6.3.3-Linux_x86-64_rpm.tar.gz
Comment 30 Todd 2019-11-15 21:01:37 UTC
Created attachment 155863 [details]
Scan of bad envelope

Answer for Dan.  No symptom change.

I am a consultant.  I am a big fan of Libre Office and have try to get my customer to use it.  No one likes it.  This is a good example of why.   Oh well, I make money selling M$O too.

In my own office, I use Word Pro under Wine to print envelopes.  It has not been supported for what, 15 years now, and it still runs circles around LO's envelope printing.  And Word Pro does division tabs, which you won't support either (bug 33173).  That bug request is years old as well. And you have division tabs in calc, so there is really no excuse.

Please jump on this an fix it as soon as possible.  An office suite MUST print envelopes properly to even start to be useful in an office/business situation.

Smart Suite (Word Pro) is now a free download.  Check out how slick envelope printing is, especially highlighting an address, like in your letter head,  before creating an envelope:

https://archive.org/details/LotusSmartSuite99

This bug is HOW MANY YEARS OLD?  Not to complain, but GUYS!!!!!  You are shooting yourself in the foot !!!!!!!!!  Who want to use an office suite THAT CAN'T PRINT AN ENVELOPE!!!!

Other than that, love you guys.  Keep up the good work.